% between ttest comparison
% X1, X2 are vectors to be compared
% function [t, df] = bttest(X1, X2);

function [t, df] = bttest(X1, X2);

SEm1 = std(X1)/sqrt(length(X1));
SEm2 = std(X2)/sqrt(length(X2));

SEd = sqrt(SEm1^2 + SEm2^2);

t = (mean(X1) - mean(X2)) / SEd;
df = length(X1) - 1 + length(X2) -1;
