% loads stepping functions
% function [free, zero, fifteen, thirty] = load60(initials, pathname);

function [free, zero, fifteen, thirty] = load60(initials, pathname);

free1 = readdof([initials '120'], pathname);
free2 = readdof([initials '121'], pathname);

free = [free1.' free2.'].';

zero1 = readdof([initials '124'], pathname);
zero2 = readdof([initials '125'], pathname);

zero = [zero1.' zero2.'].';

fifteen1 = readdof([initials '130'], pathname);
fifteen2 = readdof([initials '131'], pathname);
fifteen3 = readdof([initials '132'], pathname);

fifteen = [fifteen1.' fifteen2.' fifteen3.'].';

thirty1 = readdof([initials '137'], pathname);
thirty2 = readdof([initials '138'], pathname);
thirty3 = readdof([initials '139'], pathname);

thirty = [thirty1.' thirty2.' thirty3.'].';
