% plot groups of data that you run anova on
% function plotdata(X1, X2, X3, X4);

function plotdata(X1, X2, X3, X4);

figure
plot(ones(length(X1))*1, X1, 'k*')
hold on
grid on
plot(ones(length(X2))*2, X2, 'k*')
plot(ones(length(X3))*3, X3, 'k*')
plot(ones(length(X4))*4, X4, 'k*')

means = [mean(X1) mean(X2) mean(X3) mean(X4)];
xstd = [std(X1) std(X2) std(X3) std(X4)];
meansplus = means + xstd;
meansminus = means - xstd;

plot([1 2 3 4], means, 'ks-')
plot([1 2 3 4], meansplus, 'ks:')
plot([1 2 3 4], meansminus, 'ks:')

%axis([.5 4.5 -4 4])
