% function for centering step pattern
% function [centered, lows] = center(x);

function [centered, lows, highs] = center(x);

xshift = x(2:length(x));
velocity = - x(1:length(x)-1) + xshift;
index = 2;
crosslow(1) = 1;
crosshigh(1) = 1;

for j = 1:length(velocity)-1;
    if velocity(j) < 0 & velocity(j + 1) > 0
        crosslow(index) = j;
        index = index + 1;
    end
end

index = 2;

for j = 1:length(velocity)-1;
    if velocity(j) > 0 & velocity(j + 1) < 0
        crosshigh(index) = j;
        index = index + 1;
    end
end

for j = 1:length(crosslow)-2;
    centered(crosslow(j):crosslow(j+1)) = x(crosslow(j):crosslow(j+1))-x(crosslow(j+1));
    lowsa(j) = centered(crosslow(j));
end

crosshigh = crosshigh(2:(length(crosshigh)-2));

highs = centered(crosshigh);
lows = lowsa(2:length(lowsa));