% loads stepping functions
% function [free, zero, fifteen, thirty] = loadstep(initials, pathname);

function [free, zero, fifteen, thirty] = loadfree(initials, pathname);

free1 = readdof([initials '101'], pathname);
free3 = readdof([initials '112'], pathname);
free4 = readdof([initials '113'], pathname);
free5 = readdof([initials '114'], pathname);
free6 = readdof([initials '115'], pathname);
free7 = readdof([initials '116'], pathname);
free8 = readdof([initials '117'], pathname);
free9 = readdof([initials '118'], pathname);
free10 = readdof([initials '119'], pathname);

free = [free1.' free3.' free4.' free5.' free6.' free7.' free8.' free9.' free10.'].';

zero1 = readdof([initials '126'], pathname);
zero2 = readdof([initials '127'], pathname);
zero3 = readdof([initials '128'], pathname);

zero = [zero1.' zero2.' zero3.'].';

fifteen1 = readdof([initials '133'], pathname);
fifteen2 = readdof([initials '134'], pathname);
fifteen3 = readdof([initials '135'], pathname);

fifteen = [fifteen1.' fifteen2.' fifteen3.'].';

thirty1 = readdof([initials '140'], pathname);
thirty2 = readdof([initials '141'], pathname);
thirty3 = readdof([initials '142'], pathname);

thirty = [thirty1.' thirty2.' thirty3.'].';
